Retrieves all unavailability types

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the unavailability type

string

Required

Max length: 20

description

Long description

string

Max length: 100

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "0edaa7b5-9987-4dfd-9b62-138c9e5b5169",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "sales_organization_id": "26cc6c1b-3172-4586-9d45-6921739bc471",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "b54d7554-91c1-40b9-b42c-2c2e35e00482",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "6aa71b2c-0cd0-4cce-ba16-c3c77152d80a",
    "db_currency_id": "d4344fae-ce51-4f86-8118-71a5d1728b49",
    "db_language_id": "aedd9df7-8a21-4683-a1b5-3912d20814b9",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-06-10T11:07:33.3151738+00:00"
  },
  "modified_dateutc": "2026-06-10T11:07:33.3151738+00:00"
}